#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	23.08.5
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		kalarm
Summary:	kalarm
Name:		ka5-%{kaname}
Version:	23.08.5
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Applications
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	5567b164f35fbd405552e3cd34f0fe87
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	cmake >= 3.20
BuildRequires:	ka5-akonadi-devel >= 18.04.0
BuildRequires:	ka5-kcalutils-devel >= %{kdeappsver}
BuildRequires:	ka5-kimap-devel >= %{kdeappsver}
BuildRequires:	ka5-mailcommon-devel >= %{kdeappsver}
BuildRequires:	kf5-extra-cmake-modules >= %{kframever}
BuildRequires:	kf5-kauth-devel >= %{kframever}
BuildRequires:	kf5-kcmutils-devel >= %{kframever}
BuildRequires:	kf5-kcodecs-devel >= %{kframever}
BuildRequires:	kf5-kcompletion-devel >= %{kframever}
BuildRequires:	kf5-kconfigwidgets-devel >= %{kframever}
BuildRequires:	kf5-kdbusaddons-devel >= %{kframever}
BuildRequires:	kf5-kdelibs4support-devel >= %{kframever}
BuildRequires:	kf5-kholidays-devel >= %{kframever}
BuildRequires:	kf5-kiconthemes-devel >= %{kframever}
BuildRequires:	kf5-kjobwidgets-devel >= %{kframever}
BuildRequires:	ninja
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
ExcludeArch:	x32
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KAlarm is a personal alarm message, command and email scheduler.

Features

• Display alarms using your own text message, the text generated by
a command, or a text or image file. • Audible alarm using a sound
file • Recurring alarm on an hours/minutes, daily, weekly, monthly
or annual basis, or set it to trigger every time you log in. •
Display alarms color and font customization • Support for multiple
alarm calendars, which for example enables you to share alarms between
a laptop and desktop computer.

%description -l pl.UTF-8
KAlarm jest osobistym budzikiem i harmonogramem.

Własciwości

• Wyświetla własne wiadomości tekstowe, lub tekst wygenerowany
przez program, lub wyświetla plik tekstowy bądź obrazek •
Dźwiękowe powiadomomienia • Powtarzalne alarmy, o określonej
godzinie/minucie, dzienne, tygodniowe, miesięczne lub roczne a także
wyzwalane wtedy gdy się zalogujesz • Możliwość konfiguracji
koloru i rodzaju czcionki • Wsparcie dla wielu kalendarzy
powiadomień, co pozwala na przykład współdzielić alarmy między
laptopem a komputerem stacjonarnym

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake \
	-B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON
%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{kaname}.lang
%defattr(644,root,root,755)
/etc/xdg/autostart/kalarm.autostart.desktop
%attr(755,root,root) %{_bindir}/kalarm
%attr(755,root,root) %{_bindir}/kalarmautostart
%{_prefix}/libexec/kauth/kalarm_helper
%{_desktopdir}/org.kde.kalarm.desktop
%{_datadir}/config.kcfg/kalarmconfig.kcfg
%{_datadir}/dbus-1/interfaces/org.kde.kalarm.kalarm.xml
%{_iconsdir}/hicolor/128x128/apps/kalarm.png
%{_iconsdir}/hicolor/16x16/apps/kalarm.png
%{_iconsdir}/hicolor/22x22/apps/kalarm.png
%{_iconsdir}/hicolor/32x32/apps/kalarm.png
%{_iconsdir}/hicolor/48x48/apps/kalarm.png
%{_iconsdir}/hicolor/64x64/apps/kalarm.png
%{_datadir}/kalarm
%dir %{_iconsdir}/breeze
%dir %{_iconsdir}/breeze/actions
%dir %{_iconsdir}/breeze/actions/16
%dir %{_iconsdir}/breeze/actions/22
%dir %{_iconsdir}/breeze-dark
%dir %{_iconsdir}/breeze-dark/actions
%dir %{_iconsdir}/breeze-dark/actions/16
%dir %{_iconsdir}/breeze-dark/actions/22
%{_iconsdir}/breeze-dark/actions/16/show-today.svg
%{_iconsdir}/breeze-dark/actions/22/show-today.svg
%{_iconsdir}/breeze/actions/16/show-today.svg
%{_iconsdir}/breeze/actions/22/show-today.svg
%dir %{_datadir}/kxmlgui5/kalarm
%{_datadir}/kxmlgui5/kalarm/kalarmui.rc
%{_datadir}/metainfo/org.kde.kalarm.appdata.xml
%{_datadir}/polkit-1/actions/org.kde.kalarm.rtcwake.policy
%{_datadir}/dbus-1/system-services/org.kde.kalarm.rtcwake.service
%{_datadir}/dbus-1/system.d/org.kde.kalarm.rtcwake.conf
%{_datadir}/qlogging-categories5/kalarm.categories
%{_datadir}/qlogging-categories5/kalarm.renamecategories
%{_datadir}/knotifications5/kalarm.notifyrc
%ghost %{_libdir}/libkalarmcalendar.so.5
%{_libdir}/libkalarmcalendar.so.*.*.*
%ghost %{_libdir}/libkalarmplugin.so.5
%{_libdir}/libkalarmplugin.so.*.*.*
%dir %{_libdir}/qt5/plugins/pim5/kalarm
%{_libdir}/qt5/plugins/pim5/kalarm/akonadiplugin.so
%changelog
* Tue Apr 23 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-kalarm.git;a=log;h=master

* Fri Mar 15 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 27cc204
- updated to 23.08.5

* Fri Mar 15 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 1a28bb4
- Revert "- 24.01.95"

* Sun Feb 18 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 6c4fafa
- 24.01.95

* Fri Dec 08 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 998f9a8
- updated to 23.08.4

* Fri Nov 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> ae2203f
- updated to 23.08.3

* Fri Oct 13 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 188f285
- updated to 23.08.2

* Fri Sep 15 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 673011f
- updated to 23.08.1

* Tue Sep 05 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 31ae6f8
- including extra icons dirs

* Thu Aug 24 2023 Witold Filipczyk <witekfl@poczta.onet.pl> a278f45
- updated to 23.08.0; cmake -B build

* Mon Jul 10 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 636fc03
- relup

* Fri Jul 07 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 4737eae
- updated to 23.04.3

* Sat Jun 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> c90c987
- updated to 23.04.2

* Fri May 12 2023 Witold Filipczyk <witekfl@poczta.onet.pl> c3c4e2d
- updated to 23.04.1

* Mon Apr 24 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 534dbe8
- relup

* Fri Apr 21 2023 Witold Filipczyk <witekfl@poczta.onet.pl> f810f25
- updated to 23.04.0

* Mon Apr 10 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 8a96564
- relup

* Sun Apr 09 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 8e1d877
- rebuild against QT 5.15.9

* Fri Mar 03 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 3028cd1
- updated to 22.12.3

* Fri Feb 03 2023 Witold Filipczyk <witekfl@poczta.onet.pl> ee16d70
- updated to 22.12.2

* Fri Jan 06 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 7e97c88
- updated to 22.12.1

